textures/luckypops_fleuv/mrc_metaldark
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/luckypops_fleuv/mrc_metaldark.tga
        blendFunc filter
    }
}
textures/luckypops_fleuv/sprybrick
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/luckypops_fleuv/sprybrick.tga
        blendFunc filter
    }
}
textures/luckypops_water/luckypops_floor
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/luckypops_water/luckypops_floor.tga
        blendFunc filter
    }
}
textures/luckypops_fleuv/sprywall1
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/luckypops_fleuv/sprywall1.tga
        blendFunc filter
    }
}

textures/luckypops_fleuv/sprywall_slick
{
	surfaceparm solid
	surfaceparm nodamage
	surfaceparm slick
{
	map textures/luckypops_fleuv/sprywall1.tga
}	
    {
        map $lightmap
        blendfunc filter
    }

}

textures/luckypops_fleuv/chrome
{
    qer_editorimage textures/luckypops_fleuv/luckypops_chrome.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/luckypops_fleuv/luckypops_chrome.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/luckypops_fleuv/luckypops_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/luckypops_fleuv/luckypops_tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}
textures/luckypops_water/sprywater
	{
		qer_editorimage textures/luckypops_water/sprywater.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 50
		q3map_lightsubdivide 32
		q3map_lightRGB 224 255 255
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/luckypops_water/sprywater.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/luckypops_water/sprywater.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}
textures/luckypops_fleuv/luckypops_light
{
	qer_editorimage textures/luckypops_fleuv/light1.tga
	q3map_surfacelight 18000
	q3map_lightRGB 139 137 137
	surfaceparm nomarks
	surfaceparm nodamage
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/luckypops_fleuv/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/luckypops_fleuv/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		}
}
textures/luckypops_fleuv/luckypops_icelogic
{

      qer_editorimage textures/luckypops_fleuv/luckypops_icelogic1.tga
      qer_trans
      deformVertexes autoSprite
      nopicmip
    
        {
        map textures/luckypops_fleuv/luckypops_icelogic1.tga
        blendfunc GL_ONE GL_ONE
            rgbgen identity
                }
}
textures/luckypops_fleuv/luckypops_nou1
{

      qer_editorimage textures/luckypops_fleuv/luckypops_nou1.tga
      qer_trans
      nopicmip
    
        {
        map textures/luckypops_fleuv/luckypops_nou1.tga
        blendfunc GL_ONE GL_ONE
            rgbgen identity
                }
}
textures/luckypops_fleuv/luckypops_gore
{
    tessSize 64
    deformVertexes wave 194 sin 0 3 0 .4
    deformVertexes normal .3 .2
    surfaceparm nomarks
    cull none

    {
		map textures/luckypops_fleuv/luckypops_gore.jpg
		rgbGen identity
	}
    {
		map textures/luckypops_fleuv/luckypops_gore.jpg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}